function get_subset_of_days_structs, dataFilePath, structToUse,		    $
					getStampsAfter, getStampsUpTo
    HEADER_LENGTH = 32

    useSecond1996Field = 0
    useSecond1996MinorFrame0Field = 0
    useBinStartField = 0
    structName = strlowcase(tag_names(structToUse, /STRUCTURE_NAME))
    ; print, structName
    if (strpos(structName, 'browse') GE 0) then useBinStartField = 1        $
    else if (strpos(structName, 'commandtable') GE 0) then		    $
					useSecond1996MinorFrame0Field = 1   $
    else if (strpos(structName, 'diagnosticevent') GE 0) then		    $
					useSecond1996MinorFrame0Field = 1   $
    else useSecond1996Field = 1

    structsInFileCount = get_files_struct_count(dataFilePath, structToUse)
    if (structsInFileCount EQ 0) then begin
	structArray = replicate(structToUse, 1)
	return, structArray
    endif
    ;structArray = replicate(structToUse, structsInFileCount)

    get_lun, lun
    openr, lun, dataFilePath

	; an assoc is used instead of readu because all structs are
	; padded out to an int address when written if they aren't
	; an integral number of int lenghts long.  assoc understands
	; this and takes care of it automatically.

    fileAssoc = assoc(lun, replicate(structToUse, structsInFileCount),	    $
							HEADER_LENGTH)
    structArray = fileAssoc(0)

    close, lun
    free_lun, lun

    ;for i = 0, n_elements(structArray) - 1 do print, structArray[i].Second1996

	; this is to pick up the struct immediately before the
	; start time as long as it's not a zeroed struct.  the
	; reason for this is that the start time falls before
	; the time stamp of the struct we've found, so we want
	; to back up one struct and grab it too, if it contains
	; actual data.
    iLater = 0L
    later0 = 0L
    nStructsInArray = n_elements(structArray)
    if (useSecond1996Field) then					       $
	indicies = where((structArray.Second1996 GT getStampsAfter) AND	       $
		(structArray.Second1996 LE getStampsUpTo), cnt)		       $
    else if (useSecond1996MinorFrame0Field) then			       $
	indicies = where((structArray.Second1996MinorFrame0 GT getStampsAfter) $
		AND (structArray.Second1996MinorFrame0 LE getStampsUpTo), cnt) $
    else if (useBinStartField) then					       $
	indicies = where((structArray.bin_start GT getStampsAfter)	       $
		AND (structArray.bin_start LE getStampsUpTo), cnt)

    if (cnt GT 0) then goodStructs = structArray(indicies)		    $
    else return, structToUse    ; null data set if no matches

    goodStructs = [goodStructs, structToUse]	; append zeroed struct
    return, goodStructs
end
